Registration::Query Class Reference

`#include <registration.h>`

Inheritance diagram for Registration::Query:
[legend]

## Public Member Functions

| Query (DataForm *form)
| Query (bool del=false)
| Query (int fields, const RegistrationFields &values)
| Query (const Tag *tag)
virtual | ~Query ()
const DataForm * | form () const
const std::string & | instructions () const
int | fields () const
bool | registered () const
bool | remove () const
const OOB * | oob () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

A wrapping class for the XEP-0077 <query> element.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 125 of file registration.h.

## Constructor & Destructor Documentation

## Query() [1/4]

Query | ( | DataForm * | form | ) |

Creates a new object that can be used to carry out a registration.

Parameters

  form | A DataForm containing the registration terms.

Definition at line 26 of file registration.cpp.

## Query() [2/4]

Query | ( | bool | del = false | ) |

Creates a new object that can be used to carry out a registration.

Parameters

  del | Whether or not to remove the account.

Definition at line 32 of file registration.cpp.

## Query() [3/4]

Query | ( | int | fields,
|  | const RegistrationFields & | values )

Creates a new object that can be used to carry out a registration.

Parameters

  fields | Bit-wise ORed fieldEnum values describing the valid (i.e., set) fields in the values parameter.
  values | Contains the registration fields.

Definition at line 38 of file registration.cpp.

## Query() [4/4]

Query | ( | const Tag * | tag | ) |

Creates a new object from the given Tag.

Parameters

  tag | The Tag to parse.

Definition at line 44 of file registration.cpp.

## ~Query()

~Query | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 149 of file registration.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 213 of file registration.h.

## fields()

int fields | ( |  | ) | const

inline

Returns the registration fields, if set.

Returns
  The registration fields.

Definition at line 175 of file registration.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 155 of file registration.cpp.

## form()

const DataForm * form | ( |  | ) | const

inline

Returns the contained registration form, if any.

Returns
  The registration form. May be 0.

Definition at line 163 of file registration.h.

## instructions()

const std::string & instructions | ( |  | ) | const

inline

Returns the registration instructions, if given

Returns
  The registration instructions.

Definition at line 169 of file registration.h.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::Registration::Query::tag
virtual Tag * tag() const
Definition registration.cpp:161
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 204 of file registration.h.

## oob()

const OOB * oob | ( |  | ) | const

inline

Returns an optional OOB object.

Returns
  A pointer to an OOB object, if present, 0 otherwise.

Definition at line 198 of file registration.h.

## registered()

bool registered | ( |  | ) | const

inline

Indicates whether the account is already registered.

Returns
  True if the <registered> element is present, false otherwise.

Definition at line 186 of file registration.h.

## remove()

bool remove | ( |  | ) | const

inline

Indicates whether the account shall be removed.

Returns
  True if the <remove> element is present, false otherwise.

Definition at line 192 of file registration.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 161 of file registration.cpp.

The documentation for this class was generated from the following files:

- registration.h
- registration.cpp